- Qt 6.7
- Qt Core
- <QtGlobal> Proxy Page
- Qt 6.7.3 Reference Documentation

# <QtGlobal> Proxy Page

## Macros

`(since 6.0)` | QT_NO_FOREACH
| QT_NO_KEYWORDS

## Macro Documentation

### `[since 6.0]` QT_NO_FOREACH

Defining this macro removes the availability of Qt's `foreach` loop.

This macro was introduced in Qt 6.0.

See also QT_NO_KEYWORDS.

### QT_NO_KEYWORDS

Define this macro to disable the Qt-specific keywords that are usually enabled, such as `signals` and `slots`. Use `Q_SIGNALS` and `Q_SLOTS` instead.

Libraries should define this macro to make sure that they don't use the generic keywords without the `Q_` prefix in their public headers.

See also QT_NO_FOREACH.